Bug 54497 - deliver -m doesn't function correctly
Summary: deliver -m doesn't function correctly
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: cyrus-imapd (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
high
high
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-10 08:59 UTC by Rob Holland
Modified: 2005-10-31 22:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-16 16:50:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rob Holland 2001-10-10 08:59:54 UTC
Description of Problem:


Version-Release number of selected component (if applicable):

2.0.9-3

How Reproducible:

Always, just install the RPM

Steps to Reproduce:
1. Install RPM
2. Setup to taste
3. Run "deliver -m <mailbox> <user>"

Actual Results:

Cyrus delivers the mail to the users inbox.

Expected Results:

Cyrus should deliver the mail to the specified mailbox in the users account.

Additional Information:
	
The user DID have permission to write to the mailbox. If I logged in with an IMAP client I could happily move mail into the mailbox from other accounts.

Comment 1 Bryan O'Sullivan 2001-10-16 03:56:20 UTC
This is an undocumented problem with Cyrus.  Unless the LMTP client is
authenticatred, mailbox delivery happens as "anonymous".  The "deliver" program
cannot authenticate over LMTP, so it *always* delivers mail as "anonymous".

"anonymous" can only deliver mail to a user's INBOX by default.  If you want
"deliver" to be able to drop mail into other mailboxes, you must set the "post"
ACL on each mailbox using the "cyradm" tool.  Something like "sam INBOX.Spam
anonymous p" will do the trick.

Comment 2 David Lawrence 2003-05-16 16:50:51 UTC
Closing as WONTFIX due to end of life of the Power Tools product line. Please
open a new bug report under the Red Hat Linux product if the component is still
included in the base Red Hat distribution.


Note You need to log in before you can comment on or make changes to this bug.